Package resources

# Enum Class QUADRANT

java.lang.Object
java.lang.Enum<QUADRANT>
resources.QUADRANT

All Implemented Interfaces:
  `Serializable`, `Comparable<QUADRANT>`, `Constable`

public enum QUADRANT extends Enum<QUADRANT>
Enum specifying the quadrant of an overlay, either upper left, upper right, lower left, lower right.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LL`
  `LR`
  `UL`
  `UR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static QUADRANT`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QUADRANT`
  `valueOf(String s, QUADRANT defaultValue)`
  String to enum.
  `static QUADRANT[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UL

    public static final QUADRANT UL

  - ### UR

    public static final QUADRANT UR

  - ### LL

    public static final QUADRANT LL

  - ### LR

    public static final QUADRANT LR

- ## Method Details

  - ### values

    public static QUADRANT[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QUADRANT valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOf

    public static QUADRANT valueOf(String s, QUADRANT defaultValue)
    String to enum.
    Parameters:
      `s` - string of either "UL", "UR", "LL", "LR"
      `defaultValue` - value to return if string is invalid
    Returns:
      QUADRANT enum